package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.series.Data;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicSlope extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		        
		chartOptions.getChart().setHeight("100%").setType(ChartType.LINE);
		chartOptions.getPlotOptions().getLine().setIsSlopeChart(true);
		
		Series series = new Series();
		series.setName("Blue");
		series.setDataAsArrayObject(Arrays.asList(new Data().setX("Jan").setY(43), new Data().setX("Feb").setY(58)));
		chartOptions.getSeries().add(series);
		
		series = new Series();
		series.setName("Green");
		series.setDataAsArrayObject(Arrays.asList(new Data().setX("Jan").setY(33), new Data().setX("Feb").setY(38)));
		chartOptions.getSeries().add(series);
		
		series = new Series();
		series.setName("Red");
		series.setDataAsArrayObject(Arrays.asList(new Data().setX("Jan").setY(55), new Data().setX("Feb").setY(21)));
		chartOptions.getSeries().add(series);

		return apexchart;
	}
	
}